org.artoolkitx.arx.arxj.rendering

## Class ARRenderer

- java.lang.Object
- - org.artoolkitx.arx.arxj.rendering.ARRenderer

-     public abstract class ARRenderer
      extends java.lang.Object

  Base renderer which should be subclassed in the main application and provided to the ARActivity using its `supplyRenderer` method.
  Subclasses should override `configureARScene`, which will be called by the Activity when AR initialisation is complete. The Renderer can use this method to add markers to the scene, and perform other scene initialisation.
  The `draw()` render} method should also be overridden to perform actual rendering. This is in preference to directly overriding `onDrawFrame`, because ARRenderer will check that the ARToolKitX is running before calling render.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ARRenderer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `configureARScene()` Allows subclasses to load markers and prepare the scene.
    `void` | `draw()` Should be overridden in subclasses and used to perform rendering.
    `ShaderProgram` | `getSimpleShaderProgram()`
    `void` | `onDrawFrame(GL10 unused)`
    `void` | `onSurfaceChanged(GL10 unused, int w, int h)`
    `void` | `onSurfaceCreated(GL10 unused, EGLConfig config)`
    `void` | `setCameraIndex(int cameraIndex)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ARRenderer

          public ARRenderer()

  - ### Method Detail

    - #### configureARScene

          public boolean configureARScene()

      Allows subclasses to load markers and prepare the scene. This is called after initialisation is complete.

    - #### onSurfaceCreated

          public void onSurfaceCreated(GL10 unused,
                                       EGLConfig config)

    - #### onSurfaceChanged

          public void onSurfaceChanged(GL10 unused,
                                       int w,
                                       int h)

    - #### onDrawFrame

          public void onDrawFrame(GL10 unused)

    - #### draw

          public void draw()

      Should be overridden in subclasses and used to perform rendering.

    - #### getSimpleShaderProgram

          public ShaderProgram getSimpleShaderProgram()

    - #### setCameraIndex

          public void setCameraIndex(int cameraIndex)